/* 
xkrs teletext display program.
NewsFleX is registered Copyright (C) <Jan Mourer>
email: jan@panteltje.demon.nl
snail mail: 
J.Mourer
Monnikebildtdijk 2
9078VE Oude Bildtzijl
Holland

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*header file for teletext stockvalue acquisition program for SAA 5246
*/


#define PF printf
#define FP fprintf

#define DATALEN		2000/*maximum lenght of array iicdat[]*/

#define PAGLEN		969	/*length of data used from teletext page*/

#define SUBMAX		999/*maximum subpages*/

#define EQUTABLENGTH 1000/*entries stored in ram (pages)*/

/*used by acqstr*/
#define STOREMAX	100/*entries in directory for storing pages and subpages
						/*in RAM*/

/*The following 3 parameters are used in error recovery procedure in 
case 35*/
#define	MAXTRY	120/*error reads from txtscreen before saa5246 is reinitiated*/
#define	MAXINI	10/*times saa chip is reinitiated before a data aquisition
				/*array clear is tried*/
#define	MAXCLR	1/*times data aquisition array is cleared before error abort*/

/*the following added for programming video via teletext*/

#define TIMERMAX	8
#define PAGE 0
#define SUBPAGE 1

/*used by limit checking in case 96*/
#define LIMMAXFILES	100	/*maximum entries in limits.dat*/

/* control of function video_control */
#define TELETEXT 		1
#define TV_PROGRAM 		2
#define AUX				3
#define MUTE			4
#define DTV1000			5

#ifndef _KRS_H
#define	_KRS_H

#else

#endif

/* for function load_page_from_ramfile */
#define FIRST		1
#define LAST		2
#define THIS		3
#define NEXT		4
#define PREVIOUS	5

#define ALL 		1
#define CLOSE_PRICE 2
#define VOLUME		3
