/* 
xkrs teletext display program.
NewsFleX is registered Copyright (C) <Jan Mourer>
email: jan@panteltje.demon.nl
snail mail: 
J.Mourer
Monnikebildtdijk 2
9078VE Oude Bildtzijl
Holland

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "sys_head.h"

/* form vga.c */
#include "vga.h"
#include <stdio.h>
#include <fcntl.h>
#include <signal.h>
#include <termios.h>
#include <string.h>
#include <unistd.h>
#include <sys/mman.h>
#include <sys/kd.h>
#include <linux/mm.h>
#undef free
#include <stdlib.h>


int ggetkey()
/* graphics get key without echo */
{
int c;
static int tty0_fd;
static FILE *console;

/* open current virtual console */
tty0_fd = open("/dev/tty0", O_RDONLY);

if(tty0_fd < 0)return(-1);
/*console = fdopen(tty0_fd, "r");
*/

/* disable text output to console */
ioctl(tty0_fd, KDSETMODE, KD_GRAPHICS);

read(tty0_fd, &c, 1);
return(c);
}

int getkey()
{
char c;
c = getc(stdin);
return(c);
}

int kbhit()
{
int a;
int scancode;
/*return(0);/* dont know how to implement */
a = inb(0x64);
if(a != 28)/* 29 is key */
	{
	return(1);
/*	scancode = inb(0x60);
/*	if(scancode < 128)return(1);/* was a key down */
	}
return(0);/* no key */
}

zindex(s,t)
char s[],t[];
{
int i,j,k;
for(i=0;s[i] != '\0';i++)
	{
	for(j=i,k=0;t[k] != '\0' &&  s[j] ==  t[k];j++,k++)
	;
	if(t[k] == '\0')return(i);
	}
return(-1);
}
