/* 
xkrs teletext display program.
NewsFleX is registered Copyright (C) <Jan Mourer>
email: jan@panteltje.demon.nl
snail mail: 
J.Mourer
Monnikebildtdijk 2
9078VE Oude Bildtzijl
Holland

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*key definitions*/
/* ALT keys these values + 128 */

#ifndef _KESY_H
#define _KEYS_H

#define BACKSPACE		8
#define ESC				27
#define ESCAPE			27
#define INSERT			107	/*338*/
#define DELETE			127	/* was 339 */
#define CU_LEFT			18	/* using ctrl R now, was 331 */
#define CU_RIGHT		20	/* using ctrl T now, was 333 */

#define GREY_HOME		97
#define GREY_END		103
#define GREY_INSERT 		106
#define GREY_DELETE		107
#define GREY_PAGE_UP	99
#define GREY_PAGE_DOWN	105
#define GREY_CU_LEFT	100
#define GREY_CU_RIGHT	102
#define GREY_CU_UP		98
#define GREY_CU_DOWN	104
#define GREY_ALT		64

#define F1	67
#define F2	68
#define F3	69
#define F4	70
#define F5	71
#define F6	72
#define F7	73
#define F8	74
#define F9	75
#define F10	76
#define F11	95
#define F12	96

#endif

